TEMPLATE	= app

CONFIG		= qt warn_on release

DESTDIR		= ../bin

HEADERS		= background.h \
		  desktop.h \
		  battery.h \
		  info.h \
		  common.h \
		  applnk.h \
		  taskbar.h \
		  startmenu.h \
		  sidething.h \
		  mrulist.h \
		  inputmethods.h \
		  wait.h \
		  launcherclock.h \
		  ../inputmethods/inputpen.h \
		  ../inputmethods/keyboard.h \
	          ../inputmethods/unikeyboard.h \
	          ../inputmethods/pickboard.h \
	          ../calibrate/calibrate.h \
	          ../inputmethods/qimpeninput.h \
	          ../inputmethods/qimpenchar.h \
	          ../inputmethods/qimpenwordpick.h \
	          ../inputmethods/qimpenwidget.h \
		  ../inputmethods/qimpenstroke.h \
	          ../inputmethods/qimpensetup.h \
	          ../clock/settime.h

SOURCES		= background.cpp \
		  battery.cpp \
		  desktop.cpp \
		  info.cpp \
		  common.cpp \
		  applnk.cpp \
		  taskbar.cpp \
		  startmenu.cpp \
		  sidething.cpp \
		  mrulist.cpp \
		  inputmethods.cpp \
		  wait.cpp \
		  launcherclock.cpp \
		  ../inputmethods/inputpen.cpp \
		  ../inputmethods/keyboard.cpp \
	          ../inputmethods/unikeyboard.cpp \
	          ../inputmethods/pickboard.cpp \
	          ../calibrate/calibrate.cpp \
	          ../inputmethods/qimpeninput.cpp \
	          ../inputmethods/qimpenchar.cpp \
	          ../inputmethods/qimpenwordpick.cpp \
	          ../inputmethods/qimpenwidget.cpp \
		  ../inputmethods/qimpenstroke.cpp \
	          ../inputmethods/qimpensetup.cpp \ 
	          ../clock/settime.cpp \
		  main.cpp

INCLUDEPATH	+= ../library
DEPENDPATH	+= ../library

INCLUDEPATH	+= ../inputmethods
DEPENDPATH	+= ../inputmethods

INCLUDEPATH	+= ../calibrate
DEPENDPATH	+= ../calibrate

INTERFACES	= 

TARGET		= qpe

LIBS		= -lqpe

